input:not([type="checkbox"]), textarea, select {
    -webkit-appearance: none;
    box-sizing: border-box;
    text-align: center;
    text-align-last: center; /* per Firefox */
  }
  
  input::placeholder,
  textarea::placeholder {
    text-align: center;
  }

html, body {
font-family: 'Poppins', sans-serif;
top: 0px !important;
overflow: auto;
}
.banner_home {
    width: 60%;
    max-width: 400px;
    display: block;
    margin: auto; /* Auto sui lati per centrare orizzontalmente */
    margin-top: 20px;
    margin-bottom: 10px;
}

.banner {
    width: 40%;
    max-width: 200px;
    display: block;
    margin: auto; 
    margin-top: 20px;
    margin-bottom: 40px;
}

.date-container {
    justify-content: center;
    width: 70%;
    max-width: 500px;
    margin: 10 auto;
    padding: 10px; 
    border: 0 solid rgb(255, 255, 255);
    color: rgb(255, 255, 255);
    background-color: rgb(247, 118, 113);
    font-size: 16px;
    border-radius: 10px;
    font-family: 'Poppins', sans-serif;
    text-align: center;
    text-transform: uppercase;
 
}

.title {
    text-align: center;
    margin: 3px
}

.prodotti-container{
    display: flex;
    justify-content: center;
    width: 100%;
}


.row {
    display: flex;
    justify-content: center;
    width: 100%;
    max-width: 900px;
    margin: 0 auto;
    font-size: 16px;
}

.row-reg {
    width: 100%;
    overflow-x: auto;
}

.col {
    display: flex;
    justify-content: center;
    width: 50%;
    padding: auto;
    margin: 5px;
    text-align: center; /* Centra il contenuto */
    gap: 20px; 
}

.col1 {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    width: 100%;
    padding: auto;
    margin: 5px;
    text-align: center; /* Centra il contenuto */
    gap: 20px; 
}

.col1-reg {
    padding: 10px;
    padding-bottom: 0px;
    text-align: center;
    min-width: 100%;
}

.col-f{
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    width: 50%;
    padding: 0;
    margin: 5px;
    text-align: center; /* Centra il contenuto */
}
.col1-f {
    flex: 1 1 25%; /* Minimo 25%, si ridimensiona ma mantiene la proporzione */
    padding: 10px;
    text-align: center;
}

.col-a {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    width: 25%;
    padding: 0;
    margin: 5px;
    text-align: center; /* Centra il contenuto */
}

.col-b {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    width: 75%;
    padding: 0;
    margin: 5px;
    text-align: center; /* Centra il contenuto */
}

.col-90{
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    width: 90%;
    padding: 0;
    margin: 5px;
    text-align: center;
}

.col-80{
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    width: 80%;
    padding: 0;
    margin: 5px;
    text-align: center;
}
.col-70{
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    width: 70%;
    padding: 0;
    margin: 5px;
    text-align: center;
}

.col-60{
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    width: 50%;
    padding: 0;
    margin: 5px;
    text-align: center;
}

.col-40 {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    width: 40%;
    padding: 0;
    margin: 5px;
    text-align: center; /* Centra il contenuto */
}

.col-35 {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    width: 35%;
    padding: 0;
    margin: 5px;
    text-align: center; /* Centra il contenuto */
}

.col-30 {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    width: 30%;
    padding: 0;
    margin: 5px;
    text-align: center; /* Centra il contenuto */
}

.col-25 {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    width: 25%;
    padding: 0;
    margin: 5px;
    text-align: center; 
}

.col-20 {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    width: 20%;
    padding: 0;
    margin: 5px;
    text-align: center; 
}

.col-15 {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    width: 15%;
    padding: 0;
    margin: 5px;
    text-align: center; 
}
.col-10 {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    width: 10%;
    padding: 0;
    margin: 5px 0;
    text-align: center; 
}

.col-5 {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    width: 5%;
    padding: 0;
    margin: 5px 2px;
    text-align: center; 
}

.rimuovi {
    max-width: 10px !important;
}

.form {
    justify-content: center;
    align-items: center;
    max-width: 600px;
    margin: auto;
}
label {
    margin-bottom: 0;
}   

.form-container {
    width: 100%;
    margin: 0;
    padding: 10px; /* Riduci il padding per ridurre lo spazio */
    border: 2px solid rgb(221, 66, 61);
    color: rgb(221, 66, 61);
    background-color: transparent;
    font-size: 16px;
    border-radius: 8px;
    font-family: 'Poppins', sans-serif;
    text-align: center;
}

input[type="time"] {
    min-height: 50px; /* Imposta un'altezza minima */
    height: auto; /* Evita il ridimensionamento automatico */
    box-sizing: border-box; /* Mantiene le dimensioni costanti */
}

.value-container {
    width: 100%;
    margin: 0;
    padding: 10px; /* Riduci il padding per ridurre lo spazio */
    border: 2px solid rgb(221, 66, 61);
    color: rgb(221, 66, 61);
    background-color: rgba(221, 66, 61, 0.281);
    font-size: 16px;
    border-radius: 8px;
    font-family: 'Poppins', sans-serif;
    text-align: center;
}

.um-container {
    width: 100%;
    padding: 10px;
    border: 2px solid rgb(221, 66, 61);
    color: rgb(116, 116, 116);
    font-size: 16px;
    background-color: transparent;
    border-radius: 8px;
    font-family: 'Poppins', sans-serif;
    text-align: center;
    appearance: none;
  -webkit-appearance: none; /* Per browser basati su WebKit (Safari, Chrome) */
  -moz-appearance: none; /* Per Firefox */
}

#calendar {
    width: 100%;
    margin: 0;
    padding: 10px; /* Riduci il padding per ridurre lo spazio */
    border: 2px solid rgb(221, 66, 61);
    color: rgb(221, 66, 61);
    background-color: rgba(221, 66, 61, 0.281);
    font-size: 16px;
    border-radius: 8px;
    font-family: 'Poppins', sans-serif;
    text-align: center;
}

.fc-today-button fc-button fc-button-primary{
    border: 2px solid rgb(221, 66, 61);
    color: rgb(221, 66, 61);
    background-color: transparent;
    font-size: 16px;
    border-radius: 8px;
    font-family: 'Poppins', sans-serif;
    text-align: center;
}


#bt_nuovo_trt {
    user-select: none;  /* Impedisce la selezione del testo */
    pointer-events: none; /* Disabilita i clic */
    opacity: 60%; 
}

input, select {
    width: 100%;
    padding: 8px;
    font-size: 15px;
    box-sizing: border-box;
    margin: 5px 0; /* Riduci margine per gli input e select */
}


.select2 {
    border: 2px solid rgb(221, 66, 61);
    color: rgb(221, 66, 61);
    background-color: transparent;
    font-size: 16px;
    border-radius: 8px;
    padding-bottom: 0;
}
.select2-selection .select2-search__field {
    width: 100%;
    border: 0px solid rgb(221, 66, 61);
    color: rgb(221, 66, 61);
    background-color: transparent;
    font-size: 16px;
    border-radius: 8px;
    padding-bottom: 0;
    min-height: 40px;
    text-align: center !important;
}

/*.select2-selection__clear {
    color: rgb(216, 21, 21); /* Colore del "X" di cancellazione */
/*}*/

.accordion {
    margin-top: 16px;
    width: 100%;
    max-width: 300px;
    margin: 10px auto;
}
.accordion-item {
    margin-bottom: 8px;
}
.accordion-title {
    background:rgb(221, 66, 61);
    color: white;
    padding: 10px;
    cursor: pointer;
    border: 2px solid rgb(221, 66, 61);;
    width: 100%;
    text-align: center;
    font-family: 'Poppins', sans-serif;
    font-size: 12px;
    border-radius: 8px; /* ANGOLI ARROTONDATI */
}
        
.accordion-content {
    display: none;
    padding: 10px;
    background:rgba(249, 249, 249, 0);
    text-align: left;
    font-family: 'Poppins', sans-serif;
}

.table {
    padding: 15px;
    text-align: center;
    margin: auto;
}

.table-reg {
    width: 80%;
    max-width: 100%;
    padding: 15px;
    text-align: center;
    margin: auto;
}

.registroTable  {
    padding: 15px;
    text-align: center;
    margin: auto;
}



.riga_report{
    padding: 10px;
    text-align: center;
    border-collapse: collapse;
    border-bottom: 2px dotted;
}

.submit {
    display: flex;
    flex-direction: column;
    justify-content: center; 
    width: 90%;
    margin: 10px;

    align-items: center;
    padding: 10px;

    
    font-family: 'Poppins', sans-serif;
    font-weight: bold;
    font-size: 20px;
    
    border: 2px solid rgb(221, 66, 61);
    color: rgb(221, 66, 61);
    background-color: transparent;
    border-radius: 8px;

    text-decoration: none; /* Rimuove la sottolineatura dei link */
    text-align: center; /* Centra il testo */
    cursor: pointer;
    transition: all 0.3s ease;
}

/* Effetto hover */
.submit:hover {
    background-color: rgb(221, 66, 61);
    color: white;
}

.gruppo {
    display: flex;
    flex-direction: column;
    justify-content: center; 
    width: 90%;
    margin: 10px;

    align-items: center;
    padding: 5px;
    font-weight: bold;
    font-size: 10px;
    text-align: center; /* Centra il testo */

    border: 2px solid rgb(221, 66, 61);
    color: white;
    background-color: rgb(221, 66, 61);
    border-radius: 8px;
}

.button {
    display: flex;
    flex-direction: column;
    justify-content: center; 
    width: 90%;
    margin: 10px;

    align-items: center;
    padding: 10px;

    
    font-family: 'Poppins', sans-serif;
    font-size: 20px;
    
    border: 2px solid rgb(168, 41, 2);
    color: rgb(221, 66, 61);
    background-color: transparent;
    border-radius: 8px;

    text-decoration: none; /* Rimuove la sottolineatura dei link */
    text-align: center; /* Centra il testo */
    cursor: pointer;
    transition: all 0.3s ease;
}

/* Effetto hover */
.button:hover {
    background-color: rgb(168, 41, 2);
    color: white;
}
.swal2-confirm {
    background-color: rgb(221, 66, 61)!important;   /* Colore di sfondo */
    color: white !important;                 /* Colore del testo */
    font-size: 16px !important;              /* Dimensione del testo */
    padding: 10px 20px !important;           /* Padding */
    border-radius: 8px !important;           /* Angoli arrotondati */
    border: none !important;                 /* Rimuove il bordo */
    transition: background-color 0.3s ease !important;  /* Transizione per il colore di sfondo */
}

/* Personalizza il bottone di annullamento */
.swal2-cancel {
    background-color: #FF6347 !important;   /* Colore di sfondo */
    color: white !important;                 /* Colore del testo */
    font-size: 16px !important;              /* Dimensione del testo */
    padding: 10px 20px !important;           /* Padding */
    border-radius: 8px !important;           /* Angoli arrotondati */
    border: none !important;                 /* Rimuove il bordo */
    transition: background-color 0.3s ease !important;  /* Transizione per il colore di sfondo */
}
.big-button {
    font-size: 18px; /* Dimensione del testo */
    padding: 15px 30px; /* Aumenta l'altezza e la larghezza */
    border-radius: 8px; /* Rende il pulsante con angoli arrotondati */
    width: 250px;
}

.database {
    background-color: green; 
    color: white; 
    position: fixed; 
    bottom: 10px; 
    left: 10px;
    right: 10px;
    padding: 5px; 
    text-align: center; 
    border-radius: 8px;
    font-family: 'Poppins', sans-serif;
}

.logerror {
    display: flex;
    flex-direction: column;
    justify-content: center; 
    background-color: rgb(253, 92, 80); 
    color: white; 
    position: relative; 
    margin: 10pz;
    padding: 10px; 
    max-width: 400px;
    text-align: center; 
    border-radius: 8px;
    font-family: 'Poppins', sans-serif;
}

footer {
    height: 60px;
    background-color: #ffffff;
}
/* Imposta il video come sfondo */
#mioVideo {
    position: fixed;
    bottom: 0;
    left: 0;
    width: 100%;
    object-fit: contain; /* Adatta il video alla finestra */
    z-index: -1; /* Porta il video dietro il contenuto */
}

#mioVideo_large {
    position: fixed;
    bottom: 0;
    left: 50%; /* Move it 50% from the left */
    transform: translateX(-50%); /* Adjust for the element's width to truly center it */
    height: 100%;
    object-fit: contain;
    z-index: -1; /* Keep the video behind the content */
}

/* Overlay per il contenuto sopra il video */
.overlay {
    position: absolute;
    top: 65%;
    left: 50%;
    transform: translate(-50%, -50%);
    text-align: center;
    color: white;
    font-family: 'Poppins', sans-serif;
}
.testo_prodotto {
    color: rgb(240, 58, 26);
    font-weight: bold;
    background-color: rgba(253, 255, 139, 0.205); /* Cambia il colore di sfondo qui */
    padding: 0 2px;

}

@media (max-width: 768px) {
    .col-a {
        flex: 1 1 25%;
    }
    .col-b {
        flex: 1 1 75%;
    }
}

@media (max-width: 768px) {
    .col-40 {
        flex: 1 1 40%;
    }
    .col-20 {
        flex: 1 1 20%;
    }

    .col-10 {
        flex: 1 1 10%;
    }

    .col-5 {
        flex: 1 1 5%;
    }
}

.show-on-large {
    display: none;
}

@media (min-width: 992px) {
    .show-on-large {
        display: block;
    }
}

.show-on-small {
    display: block;
}

@media (min-width: 992px) {
    .show-on-small {
        display: none;
    }
}

@media (max-width: 768px) {
    /* Mantenere la disposizione in riga */
    .row.prodotto {
        display: flex; /* Mantieni la riga orizzontale */
        flex-wrap: nowrap; /* Non fare il wrapping, rimani su una sola riga */
    }

    /* Puoi ridurre leggermente le dimensioni per farle entrare meglio, se necessario */
    .col-70 {
        width: 70%;  /* Rimane al 70% */
    }

    .col-15 {
        width: 15%;  /* Rimane al 15% */
    }
}
#goog-gt-tt {
    display: none !important;
}

#google_translate_element {
    display: none !important;
}

.goog-te-banner-frame {
display: none !important;
}

body > .skiptranslate {
display: none !important;
}



